GENWQE_CKSUM(1)

NAME
genwqe_cksum - IBM Hardware Accelerator Tool.

SYNOPSIS
genwqe_cksum [-h] [-v, --verbose] [-C, --card <cardno>|RED]

DESCRIPTION

-C, --card <cardno> use cardno for operation (default 0)

-A, --accel = GENWQE | CAPI. (CAPI only for ppc64le)

-V, --version show Software Version

-X, --cpu <only run on this CPU number>

-D, --debug <create extended debug data on failure>

-G, --use-sglist use the scatter gather list support

-c, --check-result] check result against the software

-s, --bufsize <bufsize/default is 4KiB>

-a, --adler32 use adler32 instead of crc32

    FILE...

This utility sends memcopy/checksum DDCBs to the application chip unit. The CRC32 is compatible to zlib. The UNIX program cksum is using a different variation of the algorithm.